Bug 465 - automatically MIME type association works wrong
: automatically MIME type association works wrong
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 07:18 MSD by Sergey Shambir
Modified: 2012-07-24 10:58 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Shambir 2012-07-03 07:18:48 MSD
Description of problem:
Установлен QtCreator, работающий с файлами ".pro" (qmake project). Однако пакет qt-creator не заносит этот тип файлов в базу данных MIME-типов (чуть позже исправлю это в локальном репозитории quiet_readonly_personal на ABF).

При открытии предложило выбрать программу, выбрал qtcreator и поставил флажок "запомнить связь", и связь ошибочно установилась с файлами типа text/plain. В результате любые MIME-типы, являющиеся подклассом text/plane (.cpp, .c, .spec, etc) стали открываться в QtCreator.

How reproducible:
Всегда для всех типов, не предопределённых в KDE.

Version-Release number of selected component (if applicable):
any

Steps to Reproduce:
1. Установить любую программу (QtCreator?), работающую с файлами, расширение которых не предопределено в KDE и которые являются в то же время файлом text/plain
2. Открыть такой файл с помощью программы, выбрав флажок "запомнить связь с приложением для данного типа файлов".
3. После этого открыть любой другой файл - он будет открываться в данной программе.

Полагаю, что правильное поведение - при установке связи с незнакомым типом файла создавать новый MIME-тип с названием наподобие "application/x-$appname-data" и собственно его расширением.
Comment 1 Dmitry Mikhirev 2012-07-04 16:52:20 MSD
1. Use English for bug reports, please.
2. You are free to define any MIME types manually, but if you want them to be created automatically, please, request this feature in upstream.
3. I'll check what is wrong with QtCreator and add missing MIME type description if needed.
Comment 2 Dmitry Mikhirev 2012-07-06 17:43:48 MSD
Buildlists:
i586: https://abf.rosalinux.ru/build_lists/621367
x86_64: https://abf.rosalinux.ru/build_lists/621368

Advisory:
MIME type description source XML file was placed in the wrong path. As result, Qt project files were not associated with Qt-creator. This issue is fixed in new release.
Comment 3 Vladimir Potapov 2012-07-10 06:31:47 MSD
See bug (#500) http://bugs.rosalinux.ru/show_bug.cgi?id=500
This is same bug?
Comment 4 Vladimir Potapov 2012-07-10 08:18:25 MSD
qt-creator-2.4.1-3-rosa.lts2012.0

**************** Advisory *****************
Fix bug with Qt project files were not associated with Qt-creator. 
**********************

QA Verified
Comment 5 Dmitry Mikhirev 2012-07-10 11:52:08 MSD
(In reply to comment #3)
> See bug (#500) http://bugs.rosalinux.ru/show_bug.cgi?id=500
> This is same bug?

I'll take a look. Of course, it is not the bug fixed in qt-creator. :-)